Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 874012 - net-misc/snarf-7.0-r4 - configure: error: installation or configuration problem: C compiler cannot create executables.
Summary: net-misc/snarf-7.0-r4 - configure: error: installation or configuration probl...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: clang-16-porting
  Show dependency tree
 
Reported: 2022-10-02 11:37 UTC by Toralf Förster
Modified: 2022-12-06 20:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.29 KB, text/plain)
2022-10-02 11:37 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,86.53 KB, text/plain)
2022-10-02 11:37 UTC, Toralf Förster
Details
environment (environment,60.99 KB, text/plain)
2022-10-02 11:37 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,12.02 KB, application/x-bzip)
2022-10-02 11:37 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,752 bytes, application/x-bzip)
2022-10-02 11:37 UTC, Toralf Förster
Details
net-misc:snarf-7.0-r4:20221002-110339.log (net-misc:snarf-7.0-r4:20221002-110339.log,2.99 KB, text/plain)
2022-10-02 11:37 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,16.48 KB, application/x-bzip)
2022-10-02 11:37 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-10-02 11:37:07 UTC
checking for working autoheader... found
checking for working makeinfo... found
checking for gcc... clang
checking whether the C compiler (clang -pipe -march=native -fno-diagnostics-color -O2 -Werror=implicit-function-declaration -Werror=implicit-int -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.

!!! Please attach the following file when seeking support:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-j4-20221001-224558

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-12.2.0 *
clang/llvm (if any):
clang version 15.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/15/bin
/usr/lib/llvm/15
15.0.1
Python 3.10.7
Available Ruby profiles:
  [1]   ruby27 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.64.0 *
The following VMs are available for generation-2:
*)	Eclipse Temurin JDK 17.0.4.1_p1 [openjdk-bin-17]
2)	Eclipse Temurin JDK 8.345_p01 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-17  system-vm

The Glorious Glasgow Haskell Compilation System, version 9.0.2
php cli (if any):
  [1]   php8.1 *
GNU Make 4.3

  HEAD of ::gentoo
commit 895f170677ba50e030c7c9ade0556e2c4063c336
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sun Oct 2 10:32:08 2022 +0000

    2022-10-02 10:32:07 UTC

emerge -qpvO net-misc/snarf
[ebuild  N    ] net-misc/snarf-7.0-r4
Comment 1 Toralf Förster gentoo-dev 2022-10-02 11:37:08 UTC
Created attachment 815314 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-10-02 11:37:09 UTC
Created attachment 815317 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2022-10-02 11:37:11 UTC
Created attachment 815320 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2022-10-02 11:37:12 UTC
Created attachment 815323 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2022-10-02 11:37:13 UTC
Created attachment 815326 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2022-10-02 11:37:14 UTC
Created attachment 815329 [details]
net-misc:snarf-7.0-r4:20221002-110339.log
Comment 7 Toralf Förster gentoo-dev 2022-10-02 11:37:15 UTC
Created attachment 815332 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2022-12-06 20:26:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23fc112d9fc75098bee51f6639732172720bfd17

commit 23fc112d9fc75098bee51f6639732172720bfd17
Author:     Pascal Jäger <pascal.jaeger@leimstift.de>
AuthorDate: 2022-11-23 16:50:36 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-12-06 20:25:58 +0000

    net-misc/snarf: Revbump, EAPI bump, fix build for clang16
    
    Closes: https://bugs.gentoo.org/874012
    Signed-off-by: Pascal Jäger <pascal.jaeger@leimstift.de>
    Closes: https://github.com/gentoo/gentoo/pull/28402
    Signed-off-by: Sam James <sam@gentoo.org>

 .../snarf/files/snarf-fix-build-for-clang16.patch  | 33 ++++++++++++++++
 net-misc/snarf/snarf-7.0-r5.ebuild                 | 44 ++++++++++++++++++++++
 2 files changed, 77 insertions(+)